Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 154725 - [OOo][gcj] java.lang.NoSuchFieldError regression from gcc-4.0.0-40
[OOo][gcj] java.lang.NoSuchFieldError regression from gcc-4.0.0-40
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
:
Depends On:
Blocks: 153231
  Show dependency treegraph
 
Reported: 2005-04-13 16:07 EDT by Caolan McNamara
Modified: 2014-08-11 01:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-04 05:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample jar (235.48 KB, application/x-jar)
2005-04-13 16:09 EDT, Caolan McNamara
no flags Details
sample demo source (944 bytes, text/x-c++src)
2005-04-13 16:10 EDT, Caolan McNamara
no flags Details
Try this. (995 bytes, patch)
2005-04-14 09:04 EDT, Andrew Haley
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 21020 None None None Never

  None (edit)
Description Caolan McNamara 2005-04-13 16:07:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050330

Description of problem:
java.lang.NoSuchFieldError
   at .__gxx_personality_v0 (/home/caolan/java/a.out)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)
   at .__libc_start_main (/lib/libc-2.3.4.so)
   at .__gxx_personality_v0 (/home/caolan/java/a.out)


Version-Release number of selected component (if applicable):
gcc-4.0.0-42

How reproducible:
Always

Steps to Reproduce:
1. take attached ridl.jar
2. take attached java.cxx
3. g++ java.cxx -lgcj
4. ./a.out

Actual Results:  error

Expected Results:  no error

Additional info:

worked in 4.0.0-40, required to build (and reliably run) OOo
Comment 1 Caolan McNamara 2005-04-13 16:09:03 EDT
Created attachment 113115 [details]
sample jar
Comment 2 Caolan McNamara 2005-04-13 16:10:36 EDT
Created attachment 113117 [details]
sample demo source
Comment 3 Tom Tromey 2005-04-13 18:01:08 EDT
This test case works with the g++/gcj I am using:

opsy. g++ --version
g++ (GCC) 4.0.0 20050413 (prerelease)

However, I did find a small bug in the fix for the "[B" PR,
namely that the string in loadClassFromSig is not \0-terminated.
I have a patch.
Comment 4 Tom Tromey 2005-04-13 19:51:55 EDT
FWIW the termination is probably not the problem.
I looked some more and the string in question does not
need to be terminated for correctness in this case.
Comment 6 Andrew Haley 2005-04-14 09:04:50 EDT
Created attachment 113145 [details]
Try this.

Note You need to log in before you can comment on or make changes to this bug.